class ApplicationController < ActionController::Base
  before_action :find_user
  protect_from_forgery with: :exception

  private
    def find_user
      if session[:user]
        @user = User.find session[:user]
      end
    end
end
