class Image < ApplicationRecord
  belongs_to :recipe
  def Image.saveFile(upload, recipe)
    dir = Rails.root.join("public","images")
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = upload.original_filename
    image = Image.new
    image.mime = upload.content_type
    image.name = fname
    image.recipe = recipe
    image.save
    logger.error "Image id: #{image.id}"
    path = File.join(dir, image.id.to_s)
    File.open(path, "wb") do |f| f.write(upload.read) end
    image.path = path
    image.size = File.size(path)
    image.save
  end
end
