require 'test_helper'

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "the truth" do
    assert true
  end

  test "login" do
    post '/sessions/create', params: { email: users(:valaki).email, password: 'a' }, headers: { "HTTP_REFERER": '/say/hello' }
    assert_response :redirect
    assert_equal session[:user], users(:valaki).id
  end

  test "logout" do
    post '/sessions/create', params: { email: users(:valaki).email, password: 'a' }, headers: { "HTTP_REFERER": '/say/hello' }
    assert_equal session[:user], users(:valaki).id
    get '/sessions/destroy', headers: { 'HTTP_REFERER': '/say/hello' }
    assert_nil session[:user]
    assert_response :redirect
  end
end
