require 'test_helper'

class UserTest < ActiveSupport::TestCase
  test "the truth" do
    assert true
  end

  test "cannot save user without email address" do
    u = User.new
    assert !u.save, "I could save a user without an email address"
  end

  test "cannot save user with existing email address" do
    u = User.new password: 'a', password_confirmation: 'a', name: 'A', email: 'valaki@mail.bme.hu'
    assert !u.save, "I could save a user without an existing email address"
  end

  test "encrypt password" do
    assert_equal User.encrypt('titok', 'salt'), Digest::SHA1.hexdigest('titok'+'salt'), "Fix the encryption"
  end
end
