class Recipe < ApplicationRecord
  #validates complexity, format: { with: /[1-5]/ }
  #validates cook_time, length: { maximum: 3 }
  belongs_to :user
  has_one :image
  has_many :ingredients

  def self.getPage(page, user)
    if user.nil?
      Recipe.all.order(updated_at: :desc).paginate(page: page, per_page: 2)
    else
      user.recipes.order(updated_at: :desc).paginate(page: page, per_page: 2)
    end
  end
end
